//	spi.h
#ifndef _SPI_H_
#define _SPI_H_

/*---------------------------------------------------------------
	sATC
	LCD Board	PIC18F4550
	RST			RD7
	SDATA		RD6
	SCLK		RD5
	~CS			RD4
---------------------------------------------------------------*/
//Definition for SPI
#define CSPORT		portc
#define CSBIT		0

//for SPI Soft Emulation
#define SPI_CLK(x)	 (x) ? set_bit(portc,1) : clear_bit(portc,1)
#define SPI_MOSI(x) (x) ? set_bit(portc,2) : clear_bit(portc,2)

#define true 	1
#define false 	0
#define ON	1
#define OFF	0

extern void SpiCS(unsigned char mode);
extern void SpiInit();

//for Nokia LCD 
void NSendCmd(unsigned char dat);
void NSendDat(unsigned char dat);


#endif	//_SPI_H_
